文章分类管理接口服务定义
---------------------



## 文章分类列表查询

> 接口名： 'article/sort/getList'

### 入参

无

### 返回

``` json
{
    "code":200,
    "message":"操作成功",
    "data": {
        "list": [
            {
                "id": "",        //分类ID  
                "parentId": "",  //父分类ID
                "name": "",      //分类名称
                "status": "",    //状态,0关闭,1开启
                "orderBy": "",   //排序
                "advertCode": "",//广告码
                "sub": "",       //子分类
            }
        ]
    }
}

```


## 添加分类接口

> 接口名： 'article/sort/addSort'

### 入参

-------------------------
|属性名称|类型|例子|说明|
|--------|----|----|----|
|parentId|int|0|父分类ID|
|name|string|欧美风|分类名称|
|status|int|1|是否启用|
|advertCode|string|180a31250622f11180f808d4404d0e78|广告码|
|orderBy|int|5|排序|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"添加成功！"
}

```


## 编辑分类接口

> 接口名： 'article/sort/updateSort'

### 入参

-------------------------
|属性名称|类型|例子|说明|
|--------|----|----|----|
|id|int|10231|分类ID|
|parentId|int|0|父分类ID|
|name|string|欧美风|分类名称|
|status|int|1|是否启用|
|advertCode|string|180a31250622f11180f808d4404d0e78|广告码|
|orderBy|int|5|排序|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"修改成功！"
}

```

## 编辑时分类详情接口

> 接口名： 'article/sort/getDetail'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|int|43|分类id|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功",
    "data": {
            "id": "",         //分类ID
            "parentId": "",   //父分类ID
            "name": "",       //分类名称
            "status": "",     //状态,0关闭,1开启
            "orderBy": "",    //排序
            "advertCode": "", //广告码
        }
}

```


## 删除分类接口

> 接口名： 'article/sort/delSort'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|int|43|分类id|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"删除成功！"
}

```

```