# 添加尺码接口

> 接口名： `/product/addSize`

### 方法

> POST JSONRAW

### 入参

-------------------------
|属性名称|类型|例子|说明|是否必填|长度限制|
|--------|----|----|---|----|--------|
|sizeName|string|L|名称|是|10



### 对应SQL的操作库表

```xml
  <insert id="insert" parameterType="com.yohobuy.platform.dal.product.model.Size" >
    insert into size (id, size_name, sort_id, 
      attribute_id, order_by, create_time, 
      update_time)
    values (#{id,jdbcType=SMALLINT}, #{sizeName,jdbcType=VARCHAR}, #{sortId,jdbcType=SMALLINT}, 
      #{attributeId,jdbcType=VARCHAR}, #{orderBy,jdbcType=INTEGER}, #{createTime,jdbcType=INTEGER},
      #{updateTime,jdbcType=INTEGER})
  </insert>
```

### 错误编码

-------------------------
|错误码code|消息|说明|
|--------|----|----|
|200| 添加成功！| |
|400| 操作失败！|  |

### 返回

``` json
{
  "code":200,
  "message":"添加成功！"
}

```