平台服务接口公共参数
======
###### 平台页面端在向平台服务发起请求时应该携带以下参数，
###### 便于后台问题定位和操作回溯

---
页面传入参数（参数通过扩展HTTP头方式提供）
-------------------------
|属性名称|类型|例子|说明|
|--------|----|----|----|
|x-user-id|string|0|用户ID|
|x-user-name|string|admin|用户名|
|x-site-type|string|1|站点类型：1-运营平台 2-商家平台|
|x-client-ip|string|192.168.0.1|客户端IP|

---
服务调用传入参数示例：
```
POST /xx/xx HTTP/1.1\r\n
... http standard headers...
x-user-id:0\r\n
x-user-name:admin\r\n
x-size-type:1\r\n
x-client-ip:192.168.0.1\r\n
\r\n
...json body..
```

