##权限和账户接口定义

### 登陆

> 接口名： `portal.auth.login`

#### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|user|string|admin|用户名|
|password|string|123456|密码|

#### 返回

``` json
{
    "code":200
    "data":{
            auth:{
                pid:1,
                name:'admin'
            },
            menu:[{
                title: '优惠码管理',
                parent: 'menu-template',
                menu: [{
                    title: '优惠码列表',
                    href: '/coupon/list'
                }]
            }, {
                title: '供应商管理',
                parent: 'menu-template',
                menu: [{
                    title:'创建供应商',
                    href:'/supplier/index'
                }]
            }, {
                title:'品牌管理',
                parent:'menu-template',
                menu: [{
                    title:'品牌管理',
                    href:'/brand/index'
                }]
            }]
    }
}

```

### 获取账户列表

> 接口名： `portal.acct.list`




### 添加账号

### 根据PID分配权限

### 根据PID分配角色

### 根据PID修改信息

### 查询部门结构信息

### 修改部门信息

### 添加部门信息



