供应商接口服务定义
---------------------

## 供应商信息查询接口

> 接口名： `/interface/supplier/info`

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|int|123|供应商信息查询|
---------------------

### 返回

``` json
{
	//公司名称
	"supplier_name":"南京新与力广告传媒",
	// 营业执照号
	"supplier_code":"1234567890",
	// 成立日期
	"found_time":"2015-1-1",
	// 营业期限-start
	"start_time":"2015-1-1",
	// 营业期限-end
	"end_time":"2020-1-1",
	// 注册所在地
	"registered_address":"中华民国",
	// 法人代表姓名
	"contact_person":"XXX",
	// 法人身份证电子版
	"selectIdImage":"https://www.baidu.com/img/baidu_jgylogo3.gif",
	// 注册资本
	"registered_capital":"1W",
	// 营业执照电子版
	"selectCodeImage":"https://www.baidu.com/img/baidu_jgylogo3.gif",
	// 经营许可证
	"selectLicImage":"https://www.baidu.com/img/baidu_jgylogo3.gif",
	// 税务登记证
	"selecttaxImage":"https://www.baidu.com/img/baidu_jgylogo3.gif",
	// 经营范围
	"business_range":"小吃",
	// 公司联系电话
	"contact_phone":"00100100",
	// 公司联系地址
	"contact_address":"XX省XX市XXX街道10号",
	// 联系人
	"linkman":"XXX",
	// 联系电话
	"phone":"001001001001",
	// 传真
	"fax":"00100100",
	// 邮件地址
	"email":"XXX@qq.com",
	// 网址
	"email":"www.google.cn",
	// 开户行
	"bank_name":"ICBC",
	// 开户账号
	"bank_account":"001010001001"
}

```