标签分类管理接口服务定义
---------------------



## 标签分类列表查询

> 接口名： '/tags/sort/getList'

### 入参

无

### 返回

``` json
{
    "code":200,
    "message":"操作成功",
    "data": {
        "list": [
            {
                "id": "",           //分类ID
                "classifyName": "", //分类名称
                "status": "",       //是否启用
                "orderBy": "",      //排序
                "createTime": "",   //创建时间
            }
        ]
    }
}

```


## 添加分类接口

> 接口名： '/tags/sort/addSort'

### 入参

-------------------------
|属性名称|类型|例子|说明|
|--------|----|----|----|
|classifyName|String|搭配风格|分类名称|
|status|int|1|是否启用|
|orderBy|int|5|排序|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"添加成功！"
}

```


## 编辑分类接口

> 接口名： '/tags/sort/updateSort'

### 入参

-------------------------
|属性名称|类型|例子|说明|
|--------|----|----|----|
|id|int|1023|分类ID|
|classifyName|String|搭配风格|分类名称|
|status|int|1|是否启用|
|orderBy|int|5|排序|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"修改成功！"
}

```

## 编辑时分类详情接口

> 接口名： '/tags/sort/getDetail'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|int|43|分类id|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"操作成功",
    "data": {
            "id": "",
            "classifyName": "", //分类名称
            "status": "",       //是否启用
            "orderBy": "",      //排序
            "createTime": "",   //创建时间
    }
}

```


## 删除分类接口

> 接口名： '/tags/sort/delSort'

### 入参

-------------------------
|属性名称|类型|例子|说明| 
|--------|----|----|----|
|id|int|43|分类id|
---------------------

### 返回

``` json
{
    "code":200,
    "message":"删除成功！"
}

```

```